Update one customer details for an order

patch

/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/lines/{linesUniqID}/child/billToCustomer/{AddressId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Order Lines resource and used to uniquely identify an instance of Order Lines. The client should not generate the hash key value. Instead, the client should query on the Order Lines collection resource in order to navigate to a specific instance of Order Lines to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Maximum Length: 255
    Description of the account who's legally responsible for payment. This account exists when a selling relationship exists between the deploying company and the party.
  • Maximum Length: 255
    Number of the customer account who's legally responsible for payment. This account exists when a selling relationship exists between the deploying company and the party.
  • Maximum Length: 255
    First line of the bill-to customer address.
  • Maximum Length: 255
    Second line of the bill-to customer address.
  • Maximum Length: 255
    Third line of the bill-to customer address.
  • Maximum Length: 255
    Fourth line of the bill-to customer address.
  • Maximum Length: 255
    City of the bill-to customer address.
  • Maximum Length: 255
    First name of the person to contact at the bill-to customer site.
  • Value that uniquely identifies the contact for the billing account.
  • Maximum Length: 255
    Last name of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Middle name of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Person to contact at the bill-to customer site.
  • Maximum Length: 255
    Name suffix of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Phone number of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Title of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Country of the bill-to customer address.
  • Maximum Length: 255
    County of the bill-to customer address.
  • Value that uniquely identifies the account that's legally responsible for payment. This account exists when a selling relationship exists between the deploying company and the party.
  • Maximum Length: 255
    Name of the party who's legally responsible for payment.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the first name of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the last name of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the middle name of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the name suffix of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the title of the person.
  • Maximum Length: 255
    Postal code of the bill-to customer address.
  • Value that uniquely identifies the email for the preferred contact point for the contact at the account who's responsible for payment.
  • Maximum Length: 255
    Province of the bill-to customer address.
  • Value that uniquely identifies the account site that's legally responsible for payment.
  • Maximum Length: 255
    Value that uniquely identifies the bill-to customer address. Value is 1.
  • Maximum Length: 255
    State of the bill-to customer address.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : salesOrdersForOrderHub-lines-billToCustomer-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to update one customer detail for an order.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/lines/linesUniqID/child/billToCustomer/AddressId"

For example, use the following command:

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_02/child/lines/00020000000EACED00057708000110F084F87ACF0000000EACED00057708000110F084F87AD0/child/billToCustomer/300100185782991"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

You can achieve the same result with Create sales orders using the upsert-mode header parameter. Refer to the examples in the Create sales orders section to see how to update child resource in the existing order.

{
	"PartyName":"Computer Service and Rentals",
	"AccountNumber":"1006",
	"Address1":"301 Summit Hill Drive",
	"City":"CHATTANOOGA",
	"State":"TN",
	"PostalCode":"37401",
	"County":"Hamilton",
	"Province":null,
	"Country":"US",
	"ContactName":"Evelyn Jones",
	"ContactFirstName":"Evelyn",
	"ContactLastName":"Jones",
	"SourceAddressId":1
}	

Example Response Body

The following example includes the contents of the response body in JSON format:

{}
Back to Top